apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: "True"
  creationTimestamp: "2025-12-03T13:26:34Z"
  generation: 1
  name: plan-rhel8
  namespace: mtv-test
  resourceVersion: "13569726"
  uid: 290ea651-c620-4015-af9e-0ccf01365e13
spec:
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: plan-rhel8-network-map
      namespace: mtv-test
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: plan-rhel8-storage-map
      namespace: mtv-test
  migrateSharedDisks: true
  preserveStaticIPs: true
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: mtv-test
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: vmware-8
      namespace: mtv-test
  pvcNameTemplateUseGenerateName: true
  runPreflightInspection: true
  skipGuestConversion: false
  targetNamespace: mtv-test
  useCompatibilityMode: true
  vms:
  - id: vm-2087
    luks: {}
    name: Ameeen-rhel8-2disks2nics
  warm: true
status:
  conditions:
  - category: Advisory
    durable: true
    lastTransitionTime: "2025-12-03T13:45:54Z"
    message: The plan execution has SUCCEEDED.
    status: "True"
    type: Succeeded
  - category: Warn
    items:
    - ' id:vm-2087 name:''Ameeen-rhel8-2disks2nics'' '
    lastTransitionTime: "2025-12-03T13:45:54Z"
    message: Target VM name does not comply with DNS1123 RFC, will be automatically
      changed.
    reason: NotValid
    status: "True"
    type: TargetNameNotValid
  - category: Critical
    items:
    - ' id:vm-2087 name:''Ameeen-rhel8-2disks2nics'' '
    lastTransitionTime: "2025-12-03T13:45:54Z"
    message: 'VM  id:vm-2087 name:''Ameeen-rhel8-2disks2nics''  has MAC address conflicts:
      MACs 00:50:56:95:d5:42, 00:50:56:95:61:92 conflict with destination VM mtv-test/ameeen-rhel8-2disks2nics'
    reason: NotValid
    status: "True"
    type: MacConflicts
  migration:
    completed: "2025-12-03T13:45:54Z"
    history:
    - conditions:
      - category: Advisory
        durable: true
        lastTransitionTime: "2025-12-03T13:45:54Z"
        message: The plan execution has SUCCEEDED.
        status: "True"
        type: Succeeded
      map:
        network:
          generation: 2
          name: plan-rhel8-network-map
          namespace: mtv-test
          uid: a8a3d781-6529-4fbb-94b1-e07efc6e1d0c
        storage:
          generation: 1
          name: plan-rhel8-storage-map
          namespace: mtv-test
          uid: 043fd4f1-a8ee-4602-a28a-36f6c63dec69
      migration:
        generation: 1
        name: plan-rhel8-hbtj2
        namespace: mtv-test
        uid: 8ebdba46-8bd5-44c7-8d4f-304fa7a0d3b6
      plan:
        generation: 1
        name: plan-rhel8
        namespace: mtv-test
        uid: 290ea651-c620-4015-af9e-0ccf01365e13
      provider:
        destination:
          generation: 1
          name: host
          namespace: mtv-test
          uid: 2b7ef12e-9221-42d3-b0d7-c442683efc03
        source:
          generation: 1
          name: vmware-8
          namespace: mtv-test
          uid: 969a0da6-96ba-4ce5-9ff4-2aaf6e0f579a
    started: "2025-12-03T13:26:53Z"
    vms:
    - completed: "2025-12-03T13:45:54Z"
      conditions:
      - category: Advisory
        durable: true
        lastTransitionTime: "2025-12-03T13:45:54Z"
        message: The VM migration has SUCCEEDED.
        status: "True"
        type: Succeeded
      id: vm-2087
      luks: {}
      name: Ameeen-rhel8-2disks2nics
      newName: ameeen-rhel8-2disks2nics
      operatingSystem: otherGuest64
      phase: Completed
      pipeline:
      - completed: "2025-12-03T13:27:03Z"
        description: Initialize migration.
        name: Initialize
        phase: Completed
        progress:
          completed: 0
          total: 1
        started: "2025-12-03T13:26:53Z"
      - completed: "2025-12-03T13:30:00Z"
        description: Inspect VM before migration.
        name: PreflightInspection
        phase: Completed
        progress:
          completed: 0
          total: 1
        started: "2025-12-03T13:27:06Z"
      - annotations:
          dvStatusCheckRetries: "1"
          unit: MB
        completed: "2025-12-03T13:37:05Z"
        description: Transfer disks.
        name: DiskTransfer
        phase: Completed
        progress:
          completed: 20480
          total: 20480
        started: "2025-12-03T13:30:06Z"
        tasks:
        - annotations:
            unit: MB
          completed: "2025-12-03T13:37:05Z"
          name: '[mtv-nfs-us-v8] Ameeen-rhel8-2disks2nics/Ameeen-rhel8-2disks2nics.vmdk'
          phase: Completed
          progress:
            completed: 16384
            total: 16384
          reason: Transfer completed.
          started: "2025-12-03T13:30:16Z"
        - annotations:
            unit: MB
          completed: "2025-12-03T13:32:12Z"
          name: '[mtv-nfs-us-v8] Ameeen-rhel8-2disks2nics/Ameeen-rhel8-2disks2nics_1.vmdk'
          phase: Completed
          progress:
            completed: 4096
            total: 4096
          reason: Transfer completed.
          started: "2025-12-03T13:30:16Z"
      - annotations:
          dvStatusCheckRetries: "1"
          unit: MB
        completed: "2025-12-03T13:38:51Z"
        description: Finalize disk transfer.
        name: Cutover
        phase: Completed
        progress:
          completed: 20480
          total: 20480
        started: "2025-12-03T13:38:45Z"
        tasks:
        - annotations:
            Precopy: "2"
            unit: MB
          completed: "2025-12-03T13:38:51Z"
          name: '[mtv-nfs-us-v8] Ameeen-rhel8-2disks2nics/Ameeen-rhel8-2disks2nics.vmdk'
          phase: Completed
          progress:
            completed: 16384
            total: 16384
          reason: Transfer completed.
          started: "2025-12-03T13:38:35Z"
        - annotations:
            Precopy: "2"
            unit: MB
          completed: "2025-12-03T13:38:51Z"
          name: '[mtv-nfs-us-v8] Ameeen-rhel8-2disks2nics/Ameeen-rhel8-2disks2nics_1.vmdk'
          phase: Completed
          progress:
            completed: 4096
            total: 4096
          reason: Transfer completed.
          started: "2025-12-03T13:38:35Z"
      - completed: "2025-12-03T13:45:51Z"
        description: Convert image to kubevirt.
        name: ImageConversion
        phase: Completed
        progress:
          completed: 1
          total: 1
        started: "2025-12-03T13:38:58Z"
      - completed: "2025-12-03T13:45:54Z"
        description: Create VM.
        name: VirtualMachineCreation
        phase: Completed
        progress:
          completed: 0
          total: 1
        started: "2025-12-03T13:45:53Z"
      restorePowerState: "On"
      started: "2025-12-03T13:26:53Z"
      warm:
        consecutiveFailures: 0
        failures: 0
        nextPrecopyAt: "2025-12-03T14:37:05Z"
        precopies:
        - createTaskId: task-3412
          deltas:
          - deltaId: 52 bf 8d 1b 88 ca c5 33-55 cb 25 cc 3a 50 a0 85/119
            disk: '[mtv-nfs-us-v8] Ameeen-rhel8-2disks2nics/Ameeen-rhel8-2disks2nics.vmdk'
          - deltaId: 52 76 63 4c 0f 59 e3 f6-5e 74 2c 3b 61 26 31 8c/119
            disk: '[mtv-nfs-us-v8] Ameeen-rhel8-2disks2nics/Ameeen-rhel8-2disks2nics_1.vmdk'
          end: "2025-12-03T13:37:05Z"
          removeTaskId: task-3414
          snapshot: snapshot-2101
          start: "2025-12-03T13:26:57Z"
        - createTaskId: task-3415
          removeTaskId: task-3416
          snapshot: snapshot-2102
          start: "2025-12-03T13:38:35Z"
        successes: 1
  observedGeneration: 1
